package com.sd.business.mapper.board;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.board.vo.HazardousInventoryVo;
import com.sd.business.entity.board.vo.InOutStorageBoardVo;
import com.sd.business.entity.board.vo.InTransitBomVo;
import com.sd.business.entity.board.vo.InventoryTurnoverRateVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 库存看板 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-11-17
 */
public interface InventoryBoardMapper {

    /**
     * 危险库存分页
     * @param page
     * @param wrapper
     * @return
     */
    Page<HazardousInventoryVo> getHazardousInventoryPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<HazardousInventoryVo> wrapper);

    /**
     * 获取bom在途列表分页
     * @param page
     * @param wrapper
     * @return
     */
    Page<InTransitBomVo> getInTransitBomPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<InTransitBomVo> wrapper);

    /**
     * 获取库存周转率列表分页
     * @param page
     * @param wrapper
     * @param days
     * @return
     */
    Page<InventoryTurnoverRateVo> getTurnoverRatePage(@Param("page") Page<Object> page, @Param("ew") IWrapper<InventoryTurnoverRateVo> wrapper, @Param("days") long days);

    /**
     * 出入库列表分页
     * @param page
     * @param wrapper
     * @return
     */
    Page<InOutStorageBoardVo> getInOutStoragePage(@Param("page") Page<Object> page, @Param("ew") IWrapper<InOutStorageBoardVo> wrapper);
}
